package internal

import (
	"context"
	"github.com/wechatpay-apiv3/wechatpay-go/services/cashcoupons"
	"plugins/utils/weixin"
)

func getApiSrv(ctx context.Context, c *weixin.Server) (*cashcoupons.CouponApiService, error) {
	client, err := weixin.New(ctx, c)
	if err != nil {
		return nil, err
	}
	svc := cashcoupons.CouponApiService{Client: client}
	return &svc, nil
}

func verify(ctx context.Context, c *weixin.Server) error {
	err := c.Verify(ctx, "", "")
	if err != nil {
		return err
	}
	return nil
}
